org.jbpm.services.task.audit.service

## Class BAMTaskSummaryQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>
    - - org.jbpm.services.task.audit.service.BAMTaskSummaryQueryBuilderImpl

- All Implemented Interfaces:
    BAMTaskSummaryQueryBuilder, org.kie.internal.query.ExtendedParametrizedQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>, org.kie.internal.query.ParametrizedQueryBuilder<BAMTaskSummaryQueryBuilder>, org.kie.internal.query.ProcessInstanceIdQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>, org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>, org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>, org.kie.internal.task.query.TaskAuditQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>

      public class BAMTaskSummaryQueryBuilderImpl
      extends AbstractAuditQueryBuilderImpl<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>
      implements BAMTaskSummaryQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jbpm.services.task.audit.BAMTaskSummaryQueryBuilder

      `BAMTaskSummaryQueryBuilder.OrderBy`

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `executor, jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BAMTaskSummaryQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdService)`
    `BAMTaskSummaryQueryBuilderImpl(JPAAuditLogService jpaAuditService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BAMTaskSummaryQueryBuilder` | `ascending(BAMTaskSummaryQueryBuilder.OrderBy field)` Specify which field to use when ordering the results, in ascending order.
    `BAMTaskSummaryQueryBuilder` | `createdOn(Date... createdOn)` Specify one or more dates to use as a criteria for the created-on date of a task as logged in the task event
    `BAMTaskSummaryQueryBuilder` | `createdOnRange(Date createdOnMin, Date createdOnMax)` Specify an inclusive range of (task) creation dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `BAMTaskSummaryQueryBuilder` | `descending(BAMTaskSummaryQueryBuilder.OrderBy field)` Specify which field to use when ordering the results, in descending order.
    `BAMTaskSummaryQueryBuilder` | `duration(long... duration)` Specify one or more duration to use as a criteria
    `BAMTaskSummaryQueryBuilder` | `endDate(Date... endDate)` Specify one or more (task) end dates to use as a criteria.
    `BAMTaskSummaryQueryBuilder` | `endDateRange(Date endDateMin, Date endDateMax)` Specify an inclusive range of (task) end dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `protected Class<BAMTaskSummaryImpl>` | `getQueryType()`
    `protected Class<BAMTaskSummaryImpl>` | `getResultType()`
    `BAMTaskSummaryQueryBuilder` | `id(long... id)`
    `BAMTaskSummaryQueryBuilder` | `startDate(Date... startDate)` Specify one or more (task) start dates to use as a criteria.
    `BAMTaskSummaryQueryBuilder` | `startDateRange(Date startDateMin, Date startDateMax)` Specify an inclusive range of (task) start dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `BAMTaskSummaryQueryBuilder` | `taskId(long... taskId)`
    `BAMTaskSummaryQueryBuilder` | `taskIdRange(Long taskIdMin, Long taskIdMax)`
    `BAMTaskSummaryQueryBuilder` | `taskName(String... name)` Specify one or more task names to use as a criteria.
    `BAMTaskSummaryQueryBuilder` | `taskStatus(org.kie.api.task.model.Status... status)` Specify one or more task statuses to use as a criteria.
    `BAMTaskSummaryQueryBuilder` | `userId(String... userId)` Specify one or more user ids to use as a criteria

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `ascending, build, date, dateRangeEnd, dateRangeStart, descending, getJpaAuditLogService, processId, processInstanceId, processInstanceIdRange`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### BAMTaskSummaryQueryBuilderImpl

          public BAMTaskSummaryQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdService)

    - #### BAMTaskSummaryQueryBuilderImpl

          public BAMTaskSummaryQueryBuilderImpl(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### taskId

          public BAMTaskSummaryQueryBuilder taskId(long... taskId)

      Specified by:
        `taskId` in interface `org.kie.internal.task.query.TaskAuditQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>`

    - #### taskIdRange

          public BAMTaskSummaryQueryBuilder taskIdRange(Long taskIdMin,
                                                        Long taskIdMax)

      Specified by:
        `taskIdRange` in interface `org.kie.internal.task.query.TaskAuditQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>`

    - #### startDate

          public BAMTaskSummaryQueryBuilder startDate(Date... startDate)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify one or more (task) start dates to use as a criteria.
      Specified by:
        `startDate` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `startDate` - one or more dates
      Returns:
        The current query builder instance

    - #### startDateRange

          public BAMTaskSummaryQueryBuilder startDateRange(Date startDateMin,
                                                           Date startDateMax)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify an inclusive range of (task) start dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Specified by:
        `startDateRange` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `startDateMin` - the minimal (lower) date to use in the range
        `startDateMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### duration

          public BAMTaskSummaryQueryBuilder duration(long... duration)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify one or more duration to use as a criteria
      Specified by:
        `duration` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `duration` - one or more durations
      Returns:
        The current query builder instance

    - #### taskStatus

          public BAMTaskSummaryQueryBuilder taskStatus(org.kie.api.task.model.Status... status)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify one or more task statuses to use as a criteria.
      Specified by:
        `taskStatus` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `status` - one or more task statuses
      Returns:
        The current query builder instance

    - #### userId

          public BAMTaskSummaryQueryBuilder userId(String... userId)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify one or more user ids to use as a criteria
      Specified by:
        `userId` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `userId` - one or more (string) user ids
      Returns:
        The current query builder instance

    - #### endDate

          public BAMTaskSummaryQueryBuilder endDate(Date... endDate)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify one or more (task) end dates to use as a criteria.
      Specified by:
        `endDate` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `endDate` - one or more dates
      Returns:
        The current query builder instance

    - #### endDateRange

          public BAMTaskSummaryQueryBuilder endDateRange(Date endDateMin,
                                                         Date endDateMax)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify an inclusive range of (task) end dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Specified by:
        `endDateRange` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `endDateMin` - the minimal (lower) date to use in the range
        `endDateMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### createdOn

          public BAMTaskSummaryQueryBuilder createdOn(Date... createdOn)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify one or more dates to use as a criteria for the created-on date of a task as logged in the task event
      Specified by:
        `createdOn` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `createdOn` - one or more dates
      Returns:
        The current query builder instance

    - #### createdOnRange

          public BAMTaskSummaryQueryBuilder createdOnRange(Date createdOnMin,
                                                           Date createdOnMax)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify an inclusive range of (task) creation dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Specified by:
        `createdOnRange` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `createdOnMin` - the minimal (lower) date to use in the range
        `createdOnMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### taskName

          public BAMTaskSummaryQueryBuilder taskName(String... name)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify one or more task names to use as a criteria.
      Specified by:
        `taskName` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `name` - one or more string names
      Returns:
        The current query builder instance

    - #### id

          public BAMTaskSummaryQueryBuilder id(long... id)

      Specified by:
        `id` in interface `org.kie.internal.task.query.TaskAuditQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>`

    - #### ascending

          public BAMTaskSummaryQueryBuilder ascending(BAMTaskSummaryQueryBuilder.OrderBy field)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify which field to use when ordering the results, in ascending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Specified by:
        `ascending` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

    - #### descending

          public BAMTaskSummaryQueryBuilder descending(BAMTaskSummaryQueryBuilder.OrderBy field)

      Description copied from interface: `BAMTaskSummaryQueryBuilder`
      Specify which field to use when ordering the results, in descending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Specified by:
        `descending` in interface `BAMTaskSummaryQueryBuilder`
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

    - #### getResultType

          protected Class<BAMTaskSummaryImpl> getResultType()

      Specified by:
        `getResultType` in class `AbstractAuditQueryBuilderImpl<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>`

    - #### getQueryType

          protected Class<BAMTaskSummaryImpl> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditQueryBuilderImpl<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.